## avro-java 1.7.7

=== debian/changelog ===
avro-java (1.7.7-3) unstable; urgency=medium

  * Team upload.
  * Disabled paranamer to work around a regression with Qdox (Closes: #871340)
  * Transition to Maven 3
  * Standards-Version updated to 4.1.0
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 14 Sep 2017 11:50:30 +0200

avro-java (1.7.7-2) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Use a secure Vcs-Git URL
  * Build with the DH sequencer instead of CDBS

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 3.9.8.
  * Build-Depend on ant and fix FTBFS.
    Thanks to Lucas Nussbaum for the report. (Closes: #830456)

 -- Markus Koschany <apo@debian.org>  Mon, 18 Jul 2016 21:47:39 +0200

avro-java (1.7.7-1) unstable; urgency=medium

  * Initial release (Closes: #776654)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 31 Jan 2015 23:41:31 +0100
