=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	# Regenerate the Java classes from the Thrift file
	thrift -gen java:beans -out lang/java/thrift/src/test/java/ lang/java/thrift/src/test/thrift/test.thrift

get-orig-source:
	uscan --download-current-version --force-download --no-symlink
