## avro-java 1.8.2

=== debian/changelog ===
avro-java (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * Update to upstream v1.8.2,
  * Update watch file to track github,
  * Exclude binary files from source,
  * Update Standards-Version to 4.4.1.
  * Update compat level to 12.
  * Update Vcs to salsa.
  * Update copyright.
  * Install Notice.
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 06 Jan 2020 20:07:16 +0000
