=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: ant,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                default-jdk,
                junit4,
                libcommons-compress-java,
@@ -24,10 +24,12 @@
                libxz-java,
                maven-debian-helper (>= 1.5),
                thrift-compiler,
-               velocity
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/avro-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/avro-java.git
+               velocity,
+               libmaven-shade-plugin-java
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/java-team/avro-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/avro-java
 Homepage: http://avro.apache.org
 
 Package: libavro-java
