=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/apache/avro/tags .*/release-([\d\.]+).tar.gz
